#!/usr/bin/perl

use strict;
use Getopt::Std;
use nde;

my %opts;
getopts( 'vh', \%opts );
if ( $opts{ 'h' } ) { usage(); }

my $debug;
if( $opts{ 'v' } ) { $debug = "YES" ; }

my $username = `/usr/bin/whoami`;
chomp($username); # don't forget this!

my $passwd = nde::get_password();

foreach my $device (@ARGV)
{
	my $rh = nde::create_session( "", $device, $username, $passwd, $debug  );
	nde::login();
	nde::get_type();
	nde::logout();
	print "$device -> $$rh{'type'} $$rh{'version'}\n";
}
exit 0;


sub usage
{
	print "usage: $0 device ...\n";
	print "connects to the listed device(s),\n";
	print "and reports on the device type and software version.\n";
        print "\n";
	print "options:\n";
	print "-h  =  print this message\n";
	print "-v  =  view interactive sessions as they happen\n";
	print "-s  =  save running configuration after tftping file\n";
	exit 1;
}
